package com.pcloud.book.rightsSetting.entity;

import com.pcloud.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2020/4/19 17:41
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RightsNowItem extends BaseEntity {

    @ApiModelProperty("权益id")
    private Long rightsSettingId;
    @ApiModelProperty("应用/资讯/作品id")
    private Long serveId;
    @ApiModelProperty("应用/资讯/作品类型")
    private String serveType;
    @ApiModelProperty("链接url")
    private String linkUrl;
    @ApiModelProperty("类型（0咨询，1线上网课，2学习工具，3抽奖，4专享礼包券，6配套资料）")
    private Integer type;
    @ApiModelProperty("专享礼包券id")
    private Long giftCouponPackageId;
    @ApiModelProperty("应用/资讯/作品图片")
    private String servePic;
    @ApiModelProperty("应用/资讯/作品名称")
    private String serveName;
    @ApiModelProperty("应用/资讯/作品类型名称")
    private String serveTypeName;
    @ApiModelProperty("应用/资讯/作品类型编码")
    private String serveTypeCode;
    @ApiModelProperty("结果链接")
    private String resultUrl;
    @ApiModelProperty("专享礼包券名称")
    private String giftCouponTitle;
    @ApiModelProperty("专享礼包券有效期开始时间")
    private String giftCouponValidDateBegin;
    @ApiModelProperty("专享礼包券有效期结束时间")
    private String giftCouponValidDateEnd;
    @ApiModelProperty("专享礼包券面额")
    private Integer giftCouponDenomination;
    @ApiModelProperty("专享礼包券封面图")
    private String giftCouponCoverPic;
    @ApiModelProperty("专享礼包券领取状态")
    private Boolean userGiftReceive;
    @ApiModelProperty("权益配套资料分组id")
    private Long rightsItemGroupId;
    @ApiModelProperty("券类型（2-书币券，1-课程券）")
    private Integer couponType;
    @ApiModelProperty("使用说明")
    private String instructions;
    @ApiModelProperty("跳转类型")
    private Integer jumpType;
    @ApiModelProperty("跳转链接")
    private String jumpUrl;
    @ApiModelProperty("课程券使用方式（1-链接兑取，2-复制码）")
    private Integer useType;
    @ApiModelProperty("兑换地址")
    private String exchangeAddress;


}
